# Uses of Interface
org.opensaml.saml.saml2.core.SubjectLocality

Packages that use SubjectLocality
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of SubjectLocality in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return SubjectLocality
Modifier and Type
Method
Description
`SubjectLocality`
AuthnStatement.`getSubjectLocality()`
Get the DNS domain and IP address of the system where the principal was authenticated.
Methods in org.opensaml.saml.saml2.core with parameters of type SubjectLocality
Modifier and Type
Method
Description
`void`
AuthnStatement.`setSubjectLocality(SubjectLocality newLocality)`
Set the DNS domain and IP address of the system where the principal was authenticated.

## Uses of SubjectLocality in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement SubjectLocality
Modifier and Type
Class
Description
`class`
`SubjectLocalityImpl`
A concrete implementation of `SubjectLocality`.
Fields in org.opensaml.saml.saml2.core.impl declared as SubjectLocality
Modifier and Type
Field
Description
`private SubjectLocality`
AuthnStatementImpl.`subjectLocality`
Subject Locality of the Authentication Statement.
Methods in org.opensaml.saml.saml2.core.impl that return SubjectLocality
Modifier and Type
Method
Description
`SubjectLocality`
SubjectLocalityBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`SubjectLocality`
SubjectLocalityBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`SubjectLocality`
AuthnStatementImpl.`getSubjectLocality()`
Get the DNS domain and IP address of the system where the principal was authenticated.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type SubjectLocality
Modifier and Type
Method
Description
`void`
AuthnStatementImpl.`setSubjectLocality(SubjectLocality newSubjectLocality)`
Set the DNS domain and IP address of the system where the principal was authenticated.